cProgram to illustrate how to call the SeBa stellar evolution module from
ca fortran program
c************************************************************************
cwritten by Simon Portegies Zwart (spz@science.uva.nl)
c           6 February 2003, in Amsterdam
c************************************************************************
cTo link in the starlab module, compile as follows:
cg77 -c evolveSS.f
cgcc -c ran2.c
c($STARLAB_PATH)sbin/make_cond_compile evolve_dstars.C c++ -DGNU_CPLUSPLUS -O3 -g -O2  -I/usr/X11R6/include -DNO_XREAL -DSTARLAB_CONFIG -Wno-deprecated -DGNU_POST_29 -I($STARLAB_PATH)/inc/star -I($STARLAB_PATH)/inc
cg++ -v evolveSS.o ran2.o evolve_dstars.o -DGNU_CPLUSPLUS -g -O2 -I/usr/X11R6/include -DNO_XREAL -DSTARLAB_CONFIG -I($STARLAB_PATH)/inc/star -I($STARLAB_PATH)/inc -DTOOLBOX -o ./evolveSS -L($STARLAB_PATH)/lib -ldstar -lsstar -lnode -ldyn -lstd -lm  -D_SRC_="./evolveSS.C" 					       -D_COMPILE_DATE_="Wed_Feb_06_2003,_01:39:49_CET" -lf2c


c************************************************************************
      implicit double precision (a-h,o-z)
      parameter (nmax = 1000, mmin=0.1,mmax=100.,
     &           almin=0.,almax=6.,alpha=2.35)
      double precision almin,almax
      double precision m1(nmax), m2(nmax), sma(nmax), ecc(nmax)
      double precision r1(nmax), r2(nmax)
      integer id(nmax), n
c
      idum = 111211211
      tend = 12000
cNote: enter a in AU
      write (6, *) 'Read number of binaries to be evolved'
      read (5, *) n
      if(n.gt.nmax) then
         write (6,*) 'exit program'
         stop
      endif
      if(n.eq.1)then
         write (6, *) 'Read binary parameters (a, e, M, m) and idum'
         read (5,*) sma(1), ecc(1), m1(1), m2(1), idum
         id(i) = 1
      else
         do i=1, n
            m1(i) = (mmin**(1.d0-alpha) 
     &            + ran2(idum)*(mmax**(1.d0-alpha) 
     &            - mmin**(1.d0-alpha)))**(1.d0/(1.d0-alpha))
            m2(i) = m1(i)*ran2(idum)
            id(i) = i
            ecc(i) = ran2(idum)**2
            sma(i) = 10**(almin + (almax-almin)*ran2(idum))
            print *, i, id(i), m1(i), m2(i), sma(i), ecc(i)
         enddo
      endif
c
      call init_binaries(n, id, sma, ecc, m1, m2)
      do i=1, n
         call get_sma(id(i), sma(i))
         call get_ecc(id(i), ecc(i))
         print *, 'binary evolved', id(i), sma(i), ecc(i), 
     &        m1(i), m2(i)
      enddo
c
      do i=1, n
            call get_bs_updatetime(id(i), tu)
            call binary_exists(id(i), iexit)
            print *, 'iexit=', id(i), iexit, tu, tend
            if(iexit.eq.1)then
               call ev_binary(id(i), tend)
               call out_binary(id(i))
            else
               print *, 'binary isonized or merged'
            endif
  1    enddo
      print *, 'All stars are evolved'
      stop
      end
