cProgram to illustrate how to call the SeBa stellar evolution module from
ca fortran program
c************************************************************************
cwritten by Simon Portegies Zwart (spz@science.uva.nl)
c           6 February 2003, in Amsterdam
c************************************************************************
cTo link in the starlab module, compile as follows:
cg77 -c evolveSS.f
cgcc -c ran2.c
c($STARLAB_PATH)sbin/make_cond_compile evolve_dstars.C c++ -DGNU_CPLUSPLUS -O3 -g -O2  -I/usr/X11R6/include -DNO_XREAL -DSTARLAB_CONFIG -Wno-deprecated -DGNU_POST_29 -I($STARLAB_PATH)/inc/star -I($STARLAB_PATH)/inc
cg++ -v evolveSS.o ran2.o evolve_dstars.o -DGNU_CPLUSPLUS -g -O2 -I/usr/X11R6/include -DNO_XREAL -DSTARLAB_CONFIG -I($STARLAB_PATH)/inc/star -I($STARLAB_PATH)/inc -DTOOLBOX -o ./evolveSS -L($STARLAB_PATH)/lib -ldstar -lsstar -lnode -ldyn -lstd -lm  -D_SRC_="./evolveSS.C" 					       -D_COMPILE_DATE_="Wed_Feb_06_2003,_01:39:49_CET" -lf2c


c************************************************************************
      implicit double precision (a-h,o-z)
      parameter (nmax = 100000)
      double precision m_min,m_max, m(nmax), r(nmax) 
      integer id(nmax), n
cNote: enter a in AU
      m_min = 1.0
      m_max = 100
      alpha = 2.35
      n = 100000
      idum = 111211211
      tend = 12000
      do i=1, n
         m(i) = (m_min**(1.d0-alpha) + ran2(idum)*(m_max**(1.d0-alpha) 
     &        - m_min**(1.d0-alpha)))**(1.d0/(1.d0-alpha))
         id(i) = i-1
         print *, i, id(i), m(i)
      enddo
c
      call init_stars(n, id, m)
c
      do i=1, n
         call get_ss_updatetime(id(i), tu)
         if(tu.le.tend) then
            call ev_star(id(i), tend)
            call get_mass(id(i), m(i))
            call get_radius(id(i), r(i))
            print *, 'id=', id(i) 
            print *, 'm=', m(i) 
            print *, 'r=', r(i) 
         endif
      enddo
      print *, 'All stars are evolved'
      stop
      end
